Fetch Payment Methods
This endpoint retrieves the available payment methods supported by the Unified Payment Gateway.
note
All API should be implemented dynamically
Payment Method - Request
Endpoint:
{{base-url}}/upg/payment-methods/{{merchantId}}
Method: GET
Path Parameters:
| Parameter | Description |
|---|---|
| merchantId | Unique identifier assigned to the merchant. |
Example Request:
{{base-url}}/upg/payment-methods/7
Request Headers:
The following HTTP headers are required when calling the API:
Content-Type: application/json
Payment Method - Response Example
{
"status": 1,
"message": "Bank Method has been fetched successfully.",
"data": [
{
"valueToSend": "EBanking",
"valueToShow": "Internet Banking",
"numberOfOption": 12
},
{
"valueToSend": "FonePay",
"valueToShow": "FonePay",
"numberOfOption": 1
},
{
"valueToSend": "MBanking",
"valueToShow": "Mobile Banking",
"numberOfOption": 10
},
{
"valueToSend": "CheckoutGateway",
"valueToShow": "Digital Wallet",
"numberOfOption": 13
}
]
}